%define anolis_release 32
Name:		Judy
Version:	1.0.5
Release:	%{anolis_release}%{?dist}
Summary:	General purpose dynamic array
License:	LGPL-2.0-or-later
URL:		http://sourceforge.net/projects/judy/
Source0:	http://downloads.sf.net/judy/Judy-%{version}.tar.gz
Source1:	README.distro
Patch0:		Judy-1.0.4-test-shared.patch
Patch1:		Judy-1.0.4-fix-Judy1-mans.patch
Patch2:		04_fix_undefined_behavior_during_aggressive_loop_optimizations.patch
Patch3:         judy-1.0.5-parallel-make-symlink-man-pages.patch
BuildRequires:	coreutils
BuildRequires:	gawk
BuildRequires:	gcc >= 4.1
BuildRequires:	make
BuildRequires:	sed
BuildRequires:  autoconf automake libtool

%description
Judy is a C library that provides a state-of-the-art core technology that
implements a sparse dynamic array. Judy arrays are declared simply with a null
pointer. A Judy array consumes memory only when it is populated, yet can grow
to take advantage of all available memory if desired. Judy's key benefits are
scalability, high performance, and memory efficiency. A Judy array is
extensible and can scale up to a very large number of elements, bounded only by
machine memory. Since Judy is designed as an unbounded array, the size of a
Judy array is not pre-allocated but grows and shrinks dynamically with the
array population.

%package devel
Summary:	Development libraries and headers for Judy
Requires:	%{name} = %{EVR}

%description devel
This package contains the development libraries and header files
for developing applications that use the Judy library.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}
Buildarch: noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n judy-%{version}
cp -p %{SOURCE1} .

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
# clean out zero length and generated files from doc tree
rm -rf doc/man
rm -f doc/Makefile* doc/ext/README_deliver
[ -s doc/ext/COPYRIGHT ] || rm -f doc/ext/COPYRIGHT
[ -s doc/ext/LICENSE ] || rm -f doc/ext/LICENSE

%{generate_compatibility_deps}

%check
cd test
./Checkit
cd -

%files
%license COPYING README.distro
%{_libdir}/libJudy.so.1
%{_libdir}/libJudy.so.1.*
%dir %{abidir}
%{abidir}/libJudy.dump

%files doc
%doc AUTHORS ChangeLog README

%files devel
%doc doc examples
%{_includedir}/Judy.h
%{_libdir}/libJudy.so
%{_mandir}/man3/J*.3*

%changelog
* Tue Feb 7 2023 Funda Wang <fundawang@yeah.net> - 1.0.5-32
- Produce abi dump
- Add revised patch from gentoo to fix parallel build, and
  put correct symlink of man pages

* Tue Feb 7 2023 Funda Wang <fundawang@yeah.net> - 1.0.5-31
- Import package for anolis 23
